<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LinkList.aspx.cs" Inherits="RM.Web.Mall.Admin.LinkList" %>
<%@ Register Src="/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_linkMsg")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_linkMsg")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right;">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=wintable %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script type="text/javascript">
        $(function () {
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 121);
        })
        function add() {
            
            var url = "/Mall/Admin/Link_Form.aspx";
            top.openDialog(url, 'Link_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_linkMsg")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 400, 200, 50, 50);
        } 
        
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Mall/Admin/Link_Form.aspx?key=" + key;
                top.openDialog(url, 'Link_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_linkMsg")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 400, 200, 50, 50);
            }
        }
      
        //删除
        function Delete() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsDelData(CheckboxValue())) {
                getAjax("DeleteLinks.ashx", "key=" + key, function (rs) {
                    if (rs == "1") {
                        showTipsMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Role_List_delr")%>', 2000, 4);
                        windowload();
                    } else {
                        showTipsMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_delfil")%>', 1500, 3);
                    }
                });
            }
        }
    
    </script>
</body>
</html>
